#include <bits/stdc++.h>


using namespace std;

 int main(){
 	srand(time(0));
 	ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
 	int n, i=0;
 	int br1=0;
 	cin>>n;
 	int arrayy[26];
 	char a[n];
 	for(int i=0; i<n; i++){
 		cin>>a[i];
 	}
 	int prethodni=int(a[i++]);
 	for(int i=0; i<26; i++){
 		arrayy[i]=1;
 	}
 	int maxCti=65;
 	while(i!=n){
 		int cti = int(a[i]);
 		if(cti==prethodni&&cti>=maxCti){
 			arrayy[cti-65]++;
 		}
 		if(maxCti<cti){
 			maxCti = cti;
 		}

 		prethodni = cti;
 		i++;
 	}
 	unsigned long long sum=1; 
 	for(int i=0; i<26; i++){
 		if(arrayy[i]>1){
 			sum*=arrayy[i];	
 		}
 	}
 	cout<<sum%1000000007;

 }